Go to the latest version of this document.

# ``twisted`.`words`.`im`.`interfaces`.`IGroup``

interface documentation

`class IGroup(Interface): (source)`

Constructor: `IGroup(account)`

Known implementations: `twisted.words.im.ircsupport.IRCGroup`, `twisted.words.im.pbsupport.TwistedWordsGroup`

View In Hierarchy

A group which you may have a conversation with.

Groups generally have a loosely-defined set of members, who may leave and join at any time.

Method | `__init__` | Initialize me.
Method | `join` | Join this group.
Method | `leave` | Depart this group.
Method | `sendGroupMessage` | Send a message to this group.
Method | `setTopic` | Set this Groups topic on the server.
Attribute | `account` | The `Account` I am accessed through.
Attribute | `name` | My `str` name, as the server knows me.

def __init__(name, account): (source)

Initialize me.

Parameters
name:str | My name, as the server knows me.
account:`Account` | The account I am accessed through.

def join(): (source)

Join this group.

def leave(): (source)

Depart this group.

def sendGroupMessage(text, metadata=None): (source)

Send a message to this group.

Parameters
text:str | Undocumented

metadata:dict

Valid keys for this dictionary include:

- `'style'`: associated with one of:
  - `'emote'`: indicates this is an action

def setTopic(text): (source)

Set this Groups topic on the server.

Parameters
text:string | Undocumented

account = (source)

The `Account` I am accessed through.

name = (source)

My `str` name, as the server knows me.